Bug 430444 - mayflower load sdhlc, mmc_block, and mmc_core for boot-from-SD
Summary: mayflower load sdhlc, mmc_block, and mmc_core for boot-from-SD
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-28 04:14 UTC by Matt Domsch
Modified: 2008-01-31 12:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-31 12:47:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Domsch 2008-01-28 04:14:33 UTC
Description of problem:
I would like to be able to boot my laptop from the SD card reader.  I've hacked
up a F8 LiveCD-to-iso initrd to add modprobe mmc_block; modprobe_sdhlc, before
it starts udevd.  This works great.

My request is to add these three modules to /lib/modules/$kernelversion, and
ensure they get loaded by /init.

Version-Release number of selected component (if applicable):
git HEAD fac234567c754e18fcf9e35bb102b251861bbe2f

Comment 1 Matt Domsch 2008-01-28 05:53:09 UTC
as notting noted to me on IRC, sdhlc will get autoloaded from its PCI IDs
present in the driver.  mmc_block is normally loaded by
/etc/udev/80-drivers.rules, but this isn't present nor created by mayflower's
init right now.

Comment 2 Jeremy Katz 2008-01-30 16:56:47 UTC
Added some bits to git that should make this work

Comment 3 Matt Domsch 2008-01-31 02:28:36 UTC
/me can't read.

please s/sdhlc/sdhci/.

I'm building an image with this change.  If it helps, the mmc_block driver and
its deps did get pulled into the image.


Comment 4 Matt Domsch 2008-01-31 03:34:33 UTC
after the above substitution, this now works as expected.  Please patch and commit.

Comment 5 Jeremy Katz 2008-01-31 05:06:08 UTC
Pushed, sorry about that.  I shouldn't have noticed it too


Note You need to log in before you can comment on or make changes to this bug.